org.apache.solr.search

## Class BitsFilteredDocIdSet

- java.lang.Object
- - org.apache.lucene.search.DocIdSet
  - - org.apache.solr.search.FilteredDocIdSet
    - - org.apache.solr.search.BitsFilteredDocIdSet

- All Implemented Interfaces:
    Accountable

      public final class BitsFilteredDocIdSet
      extends FilteredDocIdSet

  This implementation supplies a filtered DocIdSet, that excludes all docids which are not in a Bits instance. This is especially useful in `Filter` to apply the `acceptDocs` passed to `getDocIdSet()` before returning the final DocIdSet.
  See Also:
    `DocIdSet`, `Filter`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocIdSet

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitsFilteredDocIdSet(DocIdSet innerSet, Bits acceptDocs)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `match(int docid)` Validation method to determine whether a docid should be in the result set.
    `static DocIdSet` | `wrap(DocIdSet set, Bits acceptDocs)` Convenience wrapper method: If `acceptDocs == null` it returns the original set without wrapping.

    - ### Methods inherited from class org.apache.solr.search.FilteredDocIdSet

      `bits, getChildResources, getDelegate, iterator, ramBytesUsed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitsFilteredDocIdSet

          public BitsFilteredDocIdSet(DocIdSet innerSet,
                                      Bits acceptDocs)

      Constructor.
      Parameters:
        `innerSet` - Underlying DocIdSet
        `acceptDocs` - Allowed docs, all docids not in this set will not be returned by this DocIdSet

  - ### Method Detail

    - #### wrap

          public static DocIdSet wrap(DocIdSet set,
                                      Bits acceptDocs)

      Convenience wrapper method: If `acceptDocs == null` it returns the original set without wrapping.
      Parameters:
        `set` - Underlying DocIdSet. If `null`, this method returns `null`
        `acceptDocs` - Allowed docs, all docids not in this set will not be returned by this DocIdSet. If `null`, this method returns the original set without wrapping.

    - #### match

          protected boolean match(int docid)

      Description copied from class: `FilteredDocIdSet`
      Validation method to determine whether a docid should be in the result set.
      Specified by:
        `match` in class `FilteredDocIdSet`
      Parameters:
        `docid` - docid to be tested
      Returns:
        true if input docid should be in the result set, false otherwise.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.